Loading...
Searching...
No Matches
Opm::GasLiftOpt Class Reference

Gas lift optimisation parameters for all wells and groups. More...

`#include <GasLiftOpt.hpp>`

## Public Member Functions

const GasLiftGroup & | group (const std::string &gname) const
| Retrieve gas lift optimisation parameters for a single named group.
const GasLiftWell & | well (const std::string &wname) const
| Retrieve gas lift and gas lift optimisation parameters for a single named well.
double | gaslift_increment () const
| Lift gas rate increment.
void | gaslift_increment (double gaslift_increment)
| Assign lift gas rate increment.
double | min_eco_gradient () const
| Retrieve minimum economical gradient threshold to continue increasing lift gas injection rate.
void | min_eco_gradient (double min_eco_gradient)
| Assign minimum economical gradient threshold to continue increasing lift gas injection rate.
double | min_wait () const
| Retrieve minimum wait time between gas lift optimisation runs.
void | min_wait (double min_wait)
| Assign minimum wait time between gas lift optimisation runs.
bool | all_newton () const
| Whether or not to include gas lift optimisation in all of the first "NUPCOL" non-linear iterations.
void | all_newton (bool all_newton)
| Assign flag for whether or not to include gas lift optimisation in all of the first "NUPCOL" non-linear iterations.
void | add_group (const GasLiftGroup &group)
| Incorporate gas lift optimisation parameters for a single group into collection.
void | add_well (const GasLiftWell &well)
| Incorporate gas lift and gas lift optimisation parameters for a single well into collection.
bool | active () const
| Whether or not gas lift optimisation is currently enabled in the run.
bool | has_well (const std::string &well) const
| Whether or not gas lift parameters exists for single named well.
bool | has_group (const std::string &group) const
| Whether or not gas lift optimisation parameters exists for single named group.
std::size_t | num_wells () const
| Number of wells currently known to gas lift optimisation facility.
bool | operator== (const GasLiftOpt &other) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static GasLiftOpt | serializationTestObject ()
| Create a serialisation test object.

## Detailed Description

Gas lift optimisation parameters for all wells and groups.

## Member Function Documentation

## add_group()

void Opm::GasLiftOpt::add_group | ( | const GasLiftGroup & | group | ) |

Incorporate gas lift optimisation parameters for a single group into collection.

Parameters

  [in] | group | Gas lift optimisation parameters for a single named group.

## add_well()

void Opm::GasLiftOpt::add_well | ( | const GasLiftWell & | well | ) |

Incorporate gas lift and gas lift optimisation parameters for a single well into collection.

Parameters

  [in] | well | Gas lift and gas lift optimisation parameters for a single named well.

## all_newton()

bool Opm::GasLiftOpt::all_newton | ( |  | ) | const

Whether or not to include gas lift optimisation in all of the first "NUPCOL" non-linear iterations.

If not, gas lift optimisation should be included only in the first non-linear iteration of a time step.

## gaslift_increment()

void Opm::GasLiftOpt::gaslift_increment | ( | double | gaslift_increment | ) |

Assign lift gas rate increment.

Parameters

  [in] | gaslift_increment | Lift gas rate increment value.

## group()

const GasLiftGroup & Opm::GasLiftOpt::group | ( | const std::string & | gname | ) | const

Retrieve gas lift optimisation parameters for a single named group.

Throws an exception of type std::out_of_range if no parameters have been defined for the named group.

Parameters

  [in] | gname | Group name.

Returns
  Gas lift optimisation parameters for named group `gname`.

## has_group()

bool Opm::GasLiftOpt::has_group | ( | const std::string & | group | ) | const

Whether or not gas lift optimisation parameters exists for single named group.

Parameters

  [in] | group | Group name.

Returns
  Whether or not gas lift optimisation parameters exist for named group `group`.

## has_well()

bool Opm::GasLiftOpt::has_well | ( | const std::string & | well | ) | const

Whether or not gas lift parameters exists for single named well.

Parameters

  [in] | well | Well name.

Returns
  Whether or not gas lift parameters exist for named well `well`.

## min_wait()

void Opm::GasLiftOpt::min_wait | ( | double | min_wait | ) |

Assign minimum wait time between gas lift optimisation runs.

Parameters

  [in] | min_wait | Minimum wait time (seconds) between gas lift optimisation runs.

## operator==()

bool Opm::GasLiftOpt::operator== | ( | const GasLiftOpt & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::GasLiftOpt::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## well()

const GasLiftWell & Opm::GasLiftOpt::well | ( | const std::string & | wname | ) | const

Retrieve gas lift and gas lift optimisation parameters for a single named well.

Throws an exception of type std::out_of_range if no parameters have been defined for the named well.

Parameters

  [in] | wname | Well name.

Returns
  Gas lift and gas lift optimisation parameters for named well `wname`.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/GasLiftOpt.hpp
- opm/input/eclipse/Schedule/GasLiftOpt.cpp